%define snap 20050724

Summary:	PhpSQLiteAdmin allows you to administer an sqlite database over a web interface
Name:		phpsqliteadmin
Version:	0.3
Release:	%mkrel 0.%{snap}.2
License:	GPL
Group:		System/Servers
URL:		http://phpsqliteadmin.sourceforge.net/
Source0:	phpsqliteadmin2-%{version}-%{snap}.tar.bz2
Source1:	SQLite.gif
Patch0:		phpSQLiteAdmin-0.2-mdv_conf.diff
%if %mdkversion >= 200700
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
%endif
Requires(pre):  apache-mod_php php-sqlite php-gettext
Requires:       apache-mod_php php-sqlite php-gettext
Requires(post):	ccp >= 0.4.0
BuildRequires:	apache-base >= 2.0.54
BuildRequires:	perl
BuildRequires:	ImageMagick
BuildArch: 	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes:	phpSQLiteAdmin
Conflicts:	phpSQLiteAdmin

%description
phpSQLiteAdmin allows you to administer an sqlite database over a web
interface.

%prep

%setup -q -n phpsqliteadmin2
%patch0 -p1

cp %{SOURCE1} .

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644

# strip away annoying ^M
for i in php txt css; do
    find . -type f -name "*.${i}" | xargs perl -p -i -e 's/\r//'
done

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}/var/www/%{name}/db
install -d %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
install -d %{buildroot}%{_sysconfdir}/%{name}

install -m0644 *.php %{buildroot}/var/www/%{name}/
install -m0644 javascript.txt %{buildroot}/var/www/%{name}/
install -m0644 *.css %{buildroot}/var/www/%{name}/
install -m0644 db/*.sqlite %{buildroot}/var/www/%{name}/db/

mv %{buildroot}/var/www/%{name}/config.php %{buildroot}%{_sysconfdir}/%{name}/

cat > %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf << EOF

Alias /%{name} /var/www/%{name}

<Directory /var/www/%{name}>
    Allow from All
</Directory>

# Uncomment the following lines to force a redirect to a working 
# SSL aware apache server. This serves as an example.
# 
#<IfModule mod_ssl.c>
#    <LocationMatch /%{name}>
#        Options FollowSymLinks
#        RewriteEngine on
#        RewriteCond %{SERVER_PORT} !^443$
#        RewriteRule ^.*$ https://%{SERVER_NAME}%{REQUEST_URI} [L,R]
#    </LocationMatch>
#</IfModule>

EOF


# Mandriva Icons
install -d %{buildroot}%{_iconsdir}
install -d %{buildroot}%{_miconsdir}
install -d %{buildroot}%{_liconsdir}

convert SQLite.gif -resize 16x16 %{buildroot}%{_miconsdir}/%{name}.png
convert SQLite.gif -resize 32x32 %{buildroot}%{_iconsdir}/%{name}.png
convert SQLite.gif -resize 48x48 %{buildroot}%{_liconsdir}/%{name}.png

# install menu entry.
install -d %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}): needs=X11 \
section="More Applications/Databases" \
title="phpSQLiteAdmin" \
longtitle="phpSQLiteAdmin is a web administration GUI for SQLite databases." \
command="%{_bindir}/www-browser http://localhost/%{name}/" \
icon="%{name}.png" \
xdg="true"
EOF

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=phpSQLiteAdmin
Comment=phpSQLiteAdmin is a web administration GUI for SQLite databases.
Exec=%{_bindir}/www-browser http://localhost/%{name}/
Icon=%{name}
Categories=X-MandrivaLinux-MoreApplications-Databases;Database;
EOF

%post
ccp --delete --ifexists --set "NoOrphans" --ignoreopt config_version --oldfile %{_sysconfdir}/%{name}/config.php --newfile %{_sysconfdir}/%{name}/config.php.rpmnew
%_post_webapp
%update_menus
%if %mdkversion >= 200700
%update_desktop_database
%endif

%postun
%_postun_webapp
%clean_menus
%if %mdkversion >= 200700
%clean_desktop_database
%endif

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc changelog.txt copying.txt readme.txt todo.txt create_system_db.sql
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf
%dir %attr(0755,root,root) %{_sysconfdir}/%{name}
%attr(0640,apache,root) %config(noreplace) %{_sysconfdir}/%{name}/config.php
/var/www/%{name}
%attr(0644,apache,apache) /var/www/%{name}/db/*
%{_menudir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Fri Mar 16 2007 Oden Eriksson <oeriksson@mandriva.com> 0.3-0.20050724.2mdv2007.1
+ Revision: 145119
- lowercased
- adjust the patch
- added some spec file fixes

* Sun Feb 18 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.3-0.20050724.1mdv2007.1
+ Revision: 122578
- Fix typo found by berthy
- Import phpSQLiteAdmin

